POST /call_router_answers

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/call_router_answers

Create Answer.

Create an Answer for a Call Flow answer group, tied to a specific keypress. The answer can be restricted to calls matching certain tokens, and can apply extra attribution tokens when it is used.

Params

Param name Description
call_router_answer_group_id
Optional Blank value allowed

Answer Group

  • Must be a String

key_press
Optional Blank value allowed

Key Press

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Filters

token_value_ids
Optional Blank value allowed

This answer will only be used for calls matching these tokens.

  • Must be a decimal number.

record_token_additional_id
Optional Blank value allowed

Additional Tokens

  • Must be a String

attribution_token_value_ids
Optional Blank value allowed

These extra tokens will be applied to calls that use this answer.

  • Must be a decimal number.

description
Optional Blank value allowed

Description

  • Must be a String

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value